summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-10 20:01:24 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:19 -0500
commit0e67775be37eac1b25b0c434f84512809758f548 (patch)
tree2625f327594cdc1301985d611da4c0508b9b085b /network
parent71837fc2c1f48e705a908713782ea2d4104411b8 (diff)
downloadslackbuilds-0e67775be37eac1b25b0c434f84512809758f548.tar.gz
slackbuilds-0e67775be37eac1b25b0c434f84512809758f548.tar.xz
network/hiawatha: Updated for version 7.2.
Diffstat (limited to 'network')
-rw-r--r--network/hiawatha/doinst.sh7
-rw-r--r--network/hiawatha/hiawatha.SlackBuild16
-rw-r--r--network/hiawatha/hiawatha.info8
-rw-r--r--network/hiawatha/rc.hiawatha6
-rw-r--r--network/hiawatha/rc.php-fcgi2
5 files changed, 22 insertions, 17 deletions
diff --git a/network/hiawatha/doinst.sh b/network/hiawatha/doinst.sh
index 3d55ab90b0..2242b31cb1 100644
--- a/network/hiawatha/doinst.sh
+++ b/network/hiawatha/doinst.sh
@@ -18,3 +18,10 @@ if [ -e etc/rc.d/rc.hiawatha ]; then
mv etc/rc.d/rc.hiawatha.new.incoming etc/rc.d/rc.hiawatha.new
fi
+# Keep same perms on rc.php-fcgi.new:
+if [ -e etc/rc.d/rc.php-fcgi ]; then
+ cp -a etc/rc.d/rc.php-fcgi etc/rc.d/rc.php-fcgi.new.incoming
+ cat etc/rc.d/rc.php-fcgi.new > etc/rc.d/rc.php-fcgi.new.incoming
+ mv etc/rc.d/rc.php-fcgi.new.incoming etc/rc.d/rc.php-fcgi.new
+fi
+
diff --git a/network/hiawatha/hiawatha.SlackBuild b/network/hiawatha/hiawatha.SlackBuild
index cdf5329d7e..711502d386 100644
--- a/network/hiawatha/hiawatha.SlackBuild
+++ b/network/hiawatha/hiawatha.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for hiawatha
-# Copyright (c) 2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2009-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -22,7 +22,7 @@
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=hiawatha
-VERSION=${VERSION:-6.19}
+VERSION=${VERSION:-7.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,7 +69,9 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--enable-command \
- --enable-xslt
+ --enable-xslt \
+ --enable-chroot \
+ --enable-command
make
make install DESTDIR=$PKG
@@ -79,12 +81,8 @@ mkdir -p $PKG/etc/rc.d/
install -m 0644 $CWD/rc.$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM
install -m 0644 $CWD/rc.php-fcgi $PKG/etc/rc.d/rc.php-fcgi
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
diff --git a/network/hiawatha/hiawatha.info b/network/hiawatha/hiawatha.info
index d963b4667f..46a5196d04 100644
--- a/network/hiawatha/hiawatha.info
+++ b/network/hiawatha/hiawatha.info
@@ -1,10 +1,10 @@
PRGNAM="hiawatha"
-VERSION="6.19"
+VERSION="7.2"
HOMEPAGE="http://www.hiawatha-webserver.org"
-DOWNLOAD="http://www.hiawatha-webserver.org/files/hiawatha-6.19.tar.gz"
-MD5SUM="1e9d4790ab4566f3ad4f8b1ea4997dca"
+DOWNLOAD="http://www.hiawatha-webserver.org/files/hiawatha-7.2.tar.gz"
+MD5SUM="192a9fecea71cc4655dd68e2446919c7"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Antonio Hernández Blas"
EMAIL="hba.nihilismus@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/network/hiawatha/rc.hiawatha b/network/hiawatha/rc.hiawatha
index 1911cc3d5b..19360e084e 100644
--- a/network/hiawatha/rc.hiawatha
+++ b/network/hiawatha/rc.hiawatha
@@ -27,8 +27,8 @@ hiawatha_stop() {
if [ -z "$PIDOF" ]; then
echo "Error, hiawatha is not running."
else
- echo "Stoping hiawatha: kill $PIDOF"
- kill $PIDOF
+ echo "Stoping hiawatha: /bin/kill -s TERM $PIDOF"
+ /bin/kill -s TERM $PIDOF
fi
}
@@ -50,7 +50,7 @@ case $1 in
;;
restart)
hiawatha_stop
- sleep 1
+ sleep 3
hiawatha_start
;;
status)
diff --git a/network/hiawatha/rc.php-fcgi b/network/hiawatha/rc.php-fcgi
index 577beed99b..4602b3fb38 100644
--- a/network/hiawatha/rc.php-fcgi
+++ b/network/hiawatha/rc.php-fcgi
@@ -45,7 +45,7 @@ case $1 in
;;
restart)
php_fcgi_stop
- sleep 1
+ sleep 3
php_fcgi_start
;;
status)